## libayatana-appindicator-0.5.91.tar.gz

=== bindings/vala/examples/CMakeLists.txt ===
# ayatana-indicator-example.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c"
    DEPENDS "bindings-vala"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${VALA_COMPILER}
    --pkg ayatana-appindicator3-0.1
    --pkg gtk+-3.0
    --vapidir=${CMAKE_BINARY_DIR}/bindings/vala
    -C ayatana-indicator-example.vala
    --metadatadir "${CMAKE_SOURCE_DIR}/src"
    --directory=${CMAKE_CURRENT_BINARY_DIR}
    VERBATIM
    COMMAND
    sed
    -i "s|#include\\s*<\\s*libayatana-appindicator/app-indicator.h\\s*>||g"
    "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c"
)

# ayatana-indicator-example

set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c" PROPERTIES COMPILE_FLAGS " -include ${CMAKE_SOURCE_DIR}/src/app-indicator.h")
add_executable("ayatana-indicator-example" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c")
target_include_directories("ayatana-indicator-example" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_link_libraries("ayatana-indicator-example" "${PROJECT_DEPS_LIBRARIES} -layatana-appindicator3 -L${CMAKE_BINARY_DIR}/src")

=== debian/changelog ===
libayatana-appindicator (0.5.91-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 08 Apr 2022 23:52:51 +0200

libayatana-appindicator (0.5.90-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 18 Nov 2021 10:23:28 +0100

libayatana-appindicator (0.5.5-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 23 Jul 2020 08:19:48 +0200

libayatana-appindicator (0.5.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 11 Nov 2019 19:09:39 +0100

libayatana-appindicator (0.5.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 20 Mar 2018 11:25:55 +0100

libayatana-appindicator (0.5.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 24 Oct 2017 16:44:11 +0200

libayatana-appindicator (0.5.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 23 Sep 2017 01:15:21 +0200

libayatana-appindicator (0.5.0-0) unstable; urgency=medium

  * Fork from Ubuntu's libappindicator project.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 22 May 2017 16:16:06 +0200

libappindicator (12.10.1+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Lars Uebernickel ]
  * scroll-event: change parameter to the right type

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 16:30:06 +0000

libappindicator (12.10.1+13.10.20130920-0ubuntu4) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:02 +0000

libappindicator (12.10.1+13.10.20130920-0ubuntu3) trusty; urgency=medium

  * Build with -Wno-error=deprecated-declarations.
  * Don't build the mono bindings on ppc64el, not available.
  * Disable building the example, vala build error.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2013 13:50:03 +0100

libappindicator (12.10.1+13.10.20130920-0ubuntu2) saucy; urgency=low

  * Don't build the mono bindings on AArch64, not available.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Oct 2013 01:47:10 +0200

libappindicator (12.10.1+13.10.20130920-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 266

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 10:17:40 +0000

libappindicator (12.10.1daily13.06.19-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Making gtk-doc check run in the current source directory.

  [ Marco Trevisan (Treviño) ]
  * NotificationWatcher interface has not anymore the
    XAyatanaRegisterNotificationApprover method.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 264

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Jun 2013 02:01:55 +0000

libappindicator (12.10.1daily13.05.02-0ubuntu1) saucy; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/rules: drop the "clean" target, it's superfluous.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 261

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 May 2013 22:59:05 +0000

libappindicator (12.10.1daily13.04.15-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 258

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Apr 2013 02:02:56 +0000

libappindicator (12.10.1daily13.04.12-0ubuntu1) raring; urgency=low

  [ Iain Lane ]
  * Install appindicator-sharp's pcfile into /usr/share/pkgconfig as this is
    an arch:all package and library. Update the assemblydir variable in this
    pcfile to refer to the correct location for the library instead of an
    incorrect multiarch directory.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 258

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Apr 2013 02:03:18 +0000

libappindicator (12.10.1daily13.04.09-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 258

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Apr 2013 02:02:28 +0000

libappindicator (12.10.1daily13.04.08-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/rules: reverse the order of dh_clean and dh_autoreconf_clean,
    this fixes issues where clean removes files used by dh_autoreconf_clean.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 257

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Apr 2013 02:02:59 +0000

libappindicator (12.10.1daily13.03.13-0ubuntu1) raring; urgency=low

  [ Sebastien Bacher ]
  * stop build-depending on libindicate, it's deprecated and not used
    there

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 255

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 13 Mar 2013 02:02:14 +0000

libappindicator (12.10.1daily13.02.15-0ubuntu1) raring; urgency=low

  [ Charles Kerr ]
  * Race condition in app_indicator_init() causes application crash (LP:
    #1122596)

  [ Iain Lane ]
  * [raring] Python appindicators broken by the latest libappindicator
    update (12.10.1daily13.02.13-0ubuntu1) with "ERROR:root:Could not
    find any typelib for AppIndicator3" (LP: #1124941)



=== debian/control ===
Source: libayatana-appindicator
Section: libs
Priority: optional
XS-Python-Version: all
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper (>= 9),
               cmake,
               cmake-extras,
               dpkg-dev (>= 1.16.1.1),
               at-spi2-core,
               cli-common-dev (>= 0.8~) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gobject-introspection,
               intltool,
               gtk-doc-tools,
               libxml2-utils,
               libnunit-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               dbus-test-runner,
               xvfb,
               valac,
               mate-common,
               mono-devel (>= 2.4.3) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91.3),
               libgtk2.0-dev (>= 2.12.0),
               procps,
               gtk-sharp3-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk3.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libdbus-1-dev,
               libdbus-glib-1-dev (>= 0.82),
               libayatana-indicator-dev (>= 0.6.0-0~),
               libayatana-indicator3-dev (>= 0.6.0-0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libgirepository1.0-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Git: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Browser: https://github.com/AyatanaIndicators/libayatana-appindicator

Package: libayatana-appindicator1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-2+.

Package: gir1.2-ayatanaappindicator-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator1 (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-2+ version).

Package: libayatana-appindicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-dev,
         gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-2+ version).

Package: libayatana-appindicator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (documentation files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation (GTK-2+ version).

Package: libayatana-appindicator3-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-3+.

Package: libayatana-appindicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-dev,
         gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator3-1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-3+ version).

Package: gir1.2-ayatanaappindicator3-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator3-1 (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-3+ version).

Package: libayatana-appindicator0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by GTK-2+ Mono applications.

Package: libayatana-appindicator0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono (GTK-2+ variant)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build Mono applications.

Package: libayatana-appindicator3-0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator3
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by GTK-2+ Mono applications.

Package: libayatana-appindicator3-0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator3-0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono (GTK-3+ variant)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build GTK-3+ Mono applications.
